<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns="http://java.sun.com/xml/ns/javaee"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_3_0.xsd"
         version="3.0">
    <listener>
        <listener-class>kinosearch.webapp.WebApp</listener-class>
    </listener>

    <servlet>
        <servlet-name>index</servlet-name>
        <servlet-class>kinosearch.webapp.servlets.IndexServlet</servlet-class>
    </servlet>

    <servlet>
        <servlet-name>template</servlet-name>
        <servlet-class>kinosearch.webapp.servlets.TemplateServlet</servlet-class>
    </servlet>

    <servlet>
        <servlet-name>player</servlet-name>
        <servlet-class>kinosearch.webapp.servlets.PlayerServlet</servlet-class>
    </servlet>

    <servlet>
        <servlet-name>proxy</servlet-name>
        <servlet-class>kinosearch.webapp.servlets.ProxyServlet</servlet-class>
    </servlet>

    <servlet-mapping>
        <servlet-name>index</servlet-name>
        <url-pattern>/</url-pattern>
        <url-pattern>/index.html</url-pattern>
    </servlet-mapping>

    <servlet-mapping>
        <servlet-name>template</servlet-name>
        <url-pattern>*.html</url-pattern>
    </servlet-mapping>

    <servlet-mapping>
        <servlet-name>player</servlet-name>
        <url-pattern>/onlinelife/*</url-pattern>
    </servlet-mapping>

    <servlet-mapping>
        <servlet-name>proxy</servlet-name>
        <url-pattern>/proxy/*</url-pattern>
    </servlet-mapping>

    <servlet-mapping>
        <servlet-name>default</servlet-name>
        <url-pattern>/js/*</url-pattern>
        <url-pattern>/fonts/*</url-pattern>
        <url-pattern>/css/*</url-pattern>
        <url-pattern>*.png</url-pattern>
    </servlet-mapping>
</web-app>